%define		shortname	task
Summary:	Taskwarrior is a command-line to do list manager
Summary(hu.UTF-8):	Taskwarrior egy parancssoros ToDo-kezelő
Summary(pl.UTF-8):	Taskwarrior - konsolowy manadżer rzeczy do zrobienia
Name:		taskwarrior
Version:	2.3.0
Release:	2
License:	MIT
Group:		Applications
Source0:	http://www.taskwarrior.org/download/%{shortname}-%{version}.tar.gz
# Source0-md5:	2c1d2c64311855f3519ad038ebd372ac
URL:		http://taskwarrior.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cmake
BuildRequires:	intltool
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define bashdir	%{_sysconfdir}/bash_completion.d
%define fishdir %{_datadir}/fish/completions
%define vimdir %{_datadir}/vim/vimfiles
%define zshdir %{_datadir}/zsh/site-functions

%description
Taskwarrior is an ambitious project to supercharge task (most
excellent CLI task manager by Paul Beckingham) with an interactive
interface, a powerful search tool, hotkeys, forms data entry, and a
host of new features.

%description -l hu.UTF-8
Taskwarrior egy törekvő project, amely a task-ot bővíti ki (a legjobb
CLI feladatkezelő Paul Beckingham-től) egy interaktív felületettel,
hatékony kereső eszközzel, hotkey-ekkel, űrlapokkal és új lehetőségek
tömegeivel.

%description -l pl.UTF-8
Taskwarrior jest ambitnym projektem mającym na celu ulepszenie
programu task (najlepszego konsolowego menadżera zadań stworzonego
przez Paula Beckinghama) poprzez dodanie interaktywnego interfejsu,
potężnej wyszukiwarki, skrótów klawiszowych, formularzy wprowadzania
danych i wielu innych ulepszeń.

%package -n bash-completion-taskwarrior
Summary:	bash-completion for taskwarrior
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla taskwarriora
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n bash-completion-taskwarrior
bash-completion for taskwarrior.

%description -n bash-completion-taskwarrior -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla taskwarriora.

%package -n fish-completion-taskwarrior
Summary:	fish-completion for taskwarrior
Summary(pl.UTF-8):	Uzupełnianie nazw w fish dla taskwarriora
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	fish
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n fish-completion-taskwarrior
fish-completion for taskwarrior.

%description -n fish-completion-taskwarrior -l pl.UTF-8
Pakiet ten dostarcza uzupełnianie nazw w fish dla taskwarriora.

%package -n vim-syntax-taskwarrior
Summary:	Vim-syntax: taskwarrior
Summary(pl.UTF-8):	Składnia dla Vima: taskwarrior
Group:		Applications/Editors/Vim
Requires:	%{name} = %{version}-%{release}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vim-syntax-taskwarrior
Vim-syntax: taskwarrior.

%description -n vim-syntax-taskwarrior -l pl.UTF-8
Ta wtyczka dostarcza podświetlanie składni dla taskwarriora.

%package -n zsh-completion-taskwarrior
Summary:	zsh-completion for taskwarrior
Summary(pl.UTF-8):	Uzupełnianie nazw w zsh dla taskwarriora
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n zsh-completion-taskwarrior
zsh-completion for taskwarrior.

%description -n zsh-completion-taskwarrior -l pl.UTF-8
Pakiet ten dostarcza funkcje uzupełniania nazw powłoki zsh dla
taskwarriora.

%prep
%setup -q -n %{shortname}-%{version}

%build
%cmake

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -rf $RPM_BUILD_ROOT%{_docdir}/%{shortname}

install -d $RPM_BUILD_ROOT{%{bashdir},%{fishdir},%{zshdir}}
install -p scripts/bash/task.sh $RPM_BUILD_ROOT%{bashdir}
install -p scripts/fish/task.fish $RPM_BUILD_ROOT%{fishdir}
install -p scripts/zsh/_task $RPM_BUILD_ROOT%{zshdir}

install -d $RPM_BUILD_ROOT%{vimdir}/{ftdetect,syntax}
for dir in ftdetect syntax; do
	install -d $RPM_BUILD_ROOT%{vimdir}/$dir
	install -p scripts/vim/$dir/* $RPM_BUILD_ROOT%{vimdir}/$dir
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README i18n doc/rc
%attr(755,root,root) %{_bindir}/%{shortname}
%attr(755,root,root) %{_bindir}/tasksh
%{_mandir}/man1/*1*
%{_mandir}/man5/*5*

%files -n bash-completion-taskwarrior
%defattr(644,root,root,755)
%{bashdir}/task.sh

%files -n fish-completion-taskwarrior
%defattr(644,root,root,755)
%{fishdir}/task.fish

%files -n vim-syntax-taskwarrior
%defattr(644,root,root,755)
%{vimdir}/ftdetect/*.vim
%{vimdir}/syntax/*.vim

%files -n zsh-completion-taskwarrior
%defattr(644,root,root,755)
%{zshdir}/_task
%changelog
* Sat Nov 22 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/taskwarrior.git;a=log;h=master

* Sun Oct 12 2014 Jan Palus <atler@pld-linux.org> 3aaaa44
- add fish completions
- rel 2

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> d1a06f8
- noarch bash,zsh completions, vim

* Thu Jan 16 2014 Jan Palus <jan.palus@gmail.com> 055c427
- up to 2.3.0
- license is MIT

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 36f910c
- release 2 (by relup.sh)

* Sun May 05 2013 Jan Palus <jan.palus@gmail.com> e5c5470
- up to 2.2.0

* Sun Nov 25 2012 Jan Palus <jan.palus@gmail.com> 41269a5
- up to 2.1.2

* Thu Apr 05 2012 Zsolt Udvari <uzsolt@pld-linux.org> 9fadc84
- 2.0.0
- change build system to cmake
- cmake BR

* Thu Apr 05 2012 Zsolt Udvari <uzsolt@pld-linux.org> c887772
- not needed

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 55630be
- release 2

* Tue Jul 19 2011 Jan Palus <jan.palus@gmail.com> 11fad76
- removed obsolete ncurses dependency

* Mon Mar 07 2011 Zsolt Udvari <uzsolt@pld-linux.org> 6d5b56b
- outdated

* Mon Mar 07 2011 Zsolt Udvari <uzsolt@pld-linux.org> 124e79b
- 1.9.4
- remove patch1

* Fri Feb 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> cd824e9
- R bash-completion

* Wed Nov 10 2010 lisu <lisu@pld-linux.org> 7a37252
- updated to 1.9.3
- DEVEL merge
- pl fix

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> 6b1cb55
- pl

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> c507144
- install bash_completiion file to proper place

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> 33c8db9
- link with -ltinfo

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> 46f9b26
- fix linking (-tinfo.patch)
- ncurses-devel -> ncurses-ext-devel (some libraries from ncurses-ext-devel are required for linking)

* Mon Jul 19 2010 Zsolt Udvari <uzsolt@pld-linux.org> de23b95
- 1.9.2
- fix ncurses inc/lib (using pkg-config)
- rel 0.9 (does not build)

* Tue May 25 2010 Zsolt Udvari <uzsolt@pld-linux.org> 73f187c
- 1.9.1

